List missions
curl --request GET \
--url https://api.capibo.work/v1/missions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/missions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/missions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "MSN-1042",
"name": "Household laundry folding",
"description": "<string>",
"status": "draft",
"regions": [
"US"
],
"target": 10000,
"accepted": 7339,
"progress": 73,
"cost": 24783.4,
"tasks": [
{
"name": "Fold t-shirt",
"videos": 900,
"instructions": "Fold sleeves in, then fold the shirt in thirds lengthwise.",
"duration": [
20,
45
],
"labels": [
"t-shirt",
"fold",
"two-hand"
],
"id": "T-2",
"price": 3.19,
"accepted": 1612
}
],
"dataset_id": "DS-301",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "eyJpZCI6IlZJRC03ODQxNzUifQ"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}Missions
List missions
GET
/
missions
List missions
curl --request GET \
--url https://api.capibo.work/v1/missions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/missions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/missions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "MSN-1042",
"name": "Household laundry folding",
"description": "<string>",
"status": "draft",
"regions": [
"US"
],
"target": 10000,
"accepted": 7339,
"progress": 73,
"cost": 24783.4,
"tasks": [
{
"name": "Fold t-shirt",
"videos": 900,
"instructions": "Fold sleeves in, then fold the shirt in thirds lengthwise.",
"duration": [
20,
45
],
"labels": [
"t-shirt",
"fold",
"two-hand"
],
"id": "T-2",
"price": 3.19,
"accepted": 1612
}
],
"dataset_id": "DS-301",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "eyJpZCI6IlZJRC03ODQxNzUifQ"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}Authorizations
An API key from Settings → API keys, e.g. cpb_live_… or cpb_test_….
Query Parameters
Only return missions in this state.
Available options:
draft, dispatching, active, paused, completed Page size.
Required range:
1 <= x <= 100The next_cursor from the previous page.